pcp_params:
  flatten: true
  pmlogger_interval: 1.0
  pmlogger_metrics: |
    swap.in, swap.pagesin, swap.out, swap.pagesout,
    mem.util.dirty, mem.util.available, mem.util.used, mem.util.bufmem,
    mem.util.cached, mem.util.active, mem.util.inactive,
    kernel.cpu.util.user, kernel.cpu.util.nice, kernel.cpu.util.sys,
    kernel.cpu.util.wait, kernel.cpu.util.steal, kernel.cpu.util.idle,
    disk.all.read, disk.all.write, disk.all.blkread, disk.all.blkwrite,
    network.interface.in.packets, network.interface.out.packets,
    network.interface.in.bytes, network.interface.out.bytes
stressng_tests:
  # CPU tests
  - timeout: 60
    stressors:
      - stressor: cpu
        workers: 1
  - timeout: 60
    stressors:
      - stressor: cpu
        workers: 2
  - timeout: 60
    stressors:
      - stressor: cpu
        workers: 4
  # Memory tests
  - timeout: 60
    page-in: True
    stressors:
      - stressor: vm
        workers: 1
        vm-bytes: 12.5%
      - stressor: mmap
        workers: 1
        mmap-bytes: 12.5%
  - timeout: 60
    page-in: True
    stressors:
      - stressor: vm
        workers: 2
        vm-bytes: 25%
      - stressor: mmap
        workers: 2
        mmap-bytes: 25%
  - timeout: 60
    page-in: True
    stressors:
      - stressor: vm
        workers: 4
        vm-bytes: 37.5%
      - stressor: mmap
        workers: 4
        mmap-bytes: 37.5%
fio_tests:
  - jobs:
    - name: sensor-data-logs-small-files
      params:
        ioengine: libaio
        direct: 1
        runtime: 60
        time_based: 1
        size: 1024k
        readwrite: randrw
        blocksize: 4k
        rwmixread: 70
        iodepth: 16
        numjobs: 4
  - jobs:
    - name: multimedia-data-large-files
      params:
        ioengine: libaio
        direct: 1
        runtime: 60
        time_based: 1
        size: 1024k
        readwrite: write
        blocksize: 1m
        iodepth: 64
        numjobs: 2
  - jobs:
    - name: navigation-data-sequential-read
      params:
        ioengine: libaio
        direct: 1
        runtime: 60
        time_based: 1
        size: 1024k
        readwrite: read
        blocksize: 512k
        iodepth: 32
        numjobs: 2
  - jobs:
    - name: unpredictable-application-behavior
      params:
        ioengine: libaio
        direct: 1
        runtime: 60
        time_based: 1
        size: 1024k
        readwrite: randrw
        blocksize_range: 8k-128k
        rwmixread: 50
        iodepth: 32
        numjobs: 4
